curl -X POST https://api.tryprofound.com/v2/reports/shopping/products \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"include_merchants": true,
"metrics": ["visibility_score", "product_rating", "product_num_reviews"],
"limit": 10
}'
{
"info": {
"total_results": 128,
"count": 10,
"next_cursor": "eyJvZmZzZXQiOjEwfQ==",
"models": ["ChatGPT"],
"include_merchants": true,
"metrics": ["visibility_score", "product_rating", "product_num_reviews"],
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"filter": null
},
"data": [
{
"product": { "name": "Example Running Shoe", "brand": "Example Brand" },
"merchants": [
{ "name": "Example Retailer", "price": "$120.00" },
{ "name": "Example Brand", "price": "$110.00" }
],
"product_url": "https://www.example.com/p/example-running-shoe",
"product_image_urls": ["https://images.example.com/products/example-running-shoe.jpg"],
"product_rating": 4.5,
"product_num_reviews": 1200,
"visibility_score": 0.30
}
]
}
Shopping
商品
POST
/
v2
/
reports
/
shopping
/
products
curl -X POST https://api.tryprofound.com/v2/reports/shopping/products \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"include_merchants": true,
"metrics": ["visibility_score", "product_rating", "product_num_reviews"],
"limit": 10
}'
{
"info": {
"total_results": 128,
"count": 10,
"next_cursor": "eyJvZmZzZXQiOjEwfQ==",
"models": ["ChatGPT"],
"include_merchants": true,
"metrics": ["visibility_score", "product_rating", "product_num_reviews"],
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"filter": null
},
"data": [
{
"product": { "name": "Example Running Shoe", "brand": "Example Brand" },
"merchants": [
{ "name": "Example Retailer", "price": "$120.00" },
{ "name": "Example Brand", "price": "$110.00" }
],
"product_url": "https://www.example.com/p/example-running-shoe",
"product_image_urls": ["https://images.example.com/products/example-running-shoe.jpg"],
"product_rating": 4.5,
"product_num_reviews": 1200,
"visibility_score": 0.30
}
]
}
このレポートは、ChatGPT のショッピング結果における商品の可視性を示します。各商品の
マーチャントのオファーを取得することもできます。レポートは各商品を
{ name, brand } として返し、その指標を名前付きフィールドとして含めます。
- 指標:
visibility_score、average_position(数値が 低い ほど 良い)、visibility_rank、掲載位置の頻度を示す指標position1_percentage、position2_percentage、position3_percentage、position_above3_percentage、product_rating、product_num_reviews。 - 掲載位置の頻度指標: それぞれ、商品の表示のうちその位置に表示された割合です (
position1= 最上位、position_above3= 3 位より下)。値は 0–100 ではなく 0–1 の割合 です。4 つの値の合計は約 1 になります。 group_by:date、topic、またはprompt。- フィルタフィールド:
topic、region、persona、prompt、tag、brand、merchant。
マーチャントのオファー
各商品にマーチャントのオファーを付加するには、include_merchants: true を設定します。
レポートには merchants ({ name, price } のリスト)、product_url、
product_image_urls が追加されます。このモードでは group_by と
target_product は使用できません。また、掲載位置の頻度指標も利用できません。
競合モード
1 つの商品とその上位の競合を返すには、target_product に
商品名を設定します。競合の数を設定するには competitor_limit を使用します (
デフォルトは 5)。競合モードはアイテムビューでのみ利用できます。
include_merchants と併用しないでください。
ショッピングデータは ChatGPT のみから取得されます。ショッピングレポートには
model の
group_by や model フィルタはありません。v2 レポートは共通のリクエスト形式を使用します。フィルタツリー、グループ化、
ページネーションについては、フィルタリングと概念 を参照してください。
ストリーミング (SSE) バリアント (同じボディ、/stream)
ストリーミング (SSE) バリアント (同じボディ、/stream)
POST /v2/reports/shopping/products/stream は 同じリクエストボディ を使用します。
Server-Sent Events を返し、
まず 1 つの summary イベント (info ブロック) が送信され、続いて行ごとに 1 つの result イベントが送信されます。
ストリームは limit と cursor を受け付けません。デフォルトではすべての行が返されます。
上限を設定するには max_results (最大 50000) を使用します。curl -X POST https://api.tryprofound.com/v2/reports/shopping/products \
-H "X-API-Key: <your-api-key>" \
-H "Content-Type: application/json" \
-d '{
"category_id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"include_merchants": true,
"metrics": ["visibility_score", "product_rating", "product_num_reviews"],
"limit": 10
}'
{
"info": {
"total_results": 128,
"count": 10,
"next_cursor": "eyJvZmZzZXQiOjEwfQ==",
"models": ["ChatGPT"],
"include_merchants": true,
"metrics": ["visibility_score", "product_rating", "product_num_reviews"],
"start_date": "2026-06-01",
"end_date": "2026-06-30",
"filter": null
},
"data": [
{
"product": { "name": "Example Running Shoe", "brand": "Example Brand" },
"merchants": [
{ "name": "Example Retailer", "price": "$120.00" },
{ "name": "Example Brand", "price": "$110.00" }
],
"product_url": "https://www.example.com/p/example-running-shoe",
"product_image_urls": ["https://images.example.com/products/example-running-shoe.jpg"],
"product_rating": 4.5,
"product_num_reviews": 1200,
"visibility_score": 0.30
}
]
}
承認
APIKeyHeaderBearerAuth
ボディ
application/json
YYYY-MM-DD, ET, inclusive
YYYY-MM-DD, ET, inclusive
利用可能なオプション:
date, topic, prompt 利用可能なオプション:
visibility_score, average_position, visibility_rank, position1_percentage, position2_percentage, position3_percentage, position_above3_percentage, product_rating, product_num_reviews 利用可能なオプション:
day, week, month Include per-product merchant offers (names, prices, urls, images).
Return this product plus its top competitors (item view only).
Minimum string length:
1Competitors returned when target_product is set.
必須範囲:
x >= 1A leaf (field/op/value) or an and/or/not group.
Show child attributes
Show child attributes
Page size; default 10, max 50.
必須範囲:
0 < x <= 50Stream endpoint only: cap streamed rows.
必須範囲:
0 < x <= 50000このページは役に立ちましたか?